MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007130ardourbugspublic2016-11-19 18:152016-11-21 15:40
Reportertimbyr 
Assigned Tonmains 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.X git (version in description) 
Target VersionFixed in Version5.X git (version in description) 
Summary0007130: Incorrect ghost note displayed in percussive note mode
DescriptionIn percussive note mode the ghost note for sustained note mode is displayed.

It is correct I guess in that the note will be created at the position and length of the ghost note but it is confusing and not what I expect to be the correct behaviour in percussive mode.

My expectations are that when in draw mode with percussive note mode active, clicking will create a note at the closest snap/quantize point and that the new note will be displayed on mouse button press, not release wihtout the need for ghost notes. The length of the note should always be the length of the current quantize setting...I think.
TagsNo tags attached.
Attached Files

- Relationships
related to 0007134resolvedtimbyr Percussive MIDI Notes added by Draw Mode/Pencil Tool in single drag/operation should be a single Undo/Redo step 

-  Notes
(0019011)
nick_m (reporter)
2016-11-20 09:06
edited on: 2016-11-20 10:27

this should be fixed by e0c06f39e19

does it work as expected?

(0019015)
timbyr (developer)
2016-11-20 17:42

Yes, the new behaviour is great. I have noticed two small issues though.

The first is in undo/redo entries are added per note addition in percussive mode when "brushing"/drawing in notes which I think you are aware of. It should be one entry for all notes added in one click/drag/release operation.

The other is that percussive/hit notes can be incorrectly inserted at the end of a region that are not played (or displayed in sustained mode).

If you have two midi regions adjacent to each other on a grid/quantize point then adding the note on the grid/snap point correctly places the note in the second region but if a region does not have a region adjacent to the end you can insert a note at the end.
(0019019)
nick_m (reporter)
2016-11-21 08:58

the second issue should now be fixed.
display of hits/notes that start on the end of the region is now also prevented.
the undo issue is doable, but may have to wait.
(0019021)
timbyr (developer)
2016-11-21 15:40

I'm marking this issue as resolved. Thanks a lot for implementing this fix/feature.

I've added the small issue with Undo/Redo as a feature enhancement, bug 7134

- Issue History
Date Modified Username Field Change
2016-11-19 18:15 timbyr New Issue
2016-11-20 09:06 nick_m Note Added: 0019011
2016-11-20 10:27 nick_m Note Edited: 0019011 View Revisions
2016-11-20 17:42 timbyr Note Added: 0019015
2016-11-21 08:58 nick_m Note Added: 0019019
2016-11-21 15:38 timbyr Relationship added related to 0007134
2016-11-21 15:40 timbyr Note Added: 0019021
2016-11-21 15:40 timbyr Status new => resolved
2016-11-21 15:40 timbyr Fixed in Version => 5.X git (version in description)
2016-11-21 15:40 timbyr Resolution open => fixed
2016-11-21 15:40 timbyr Assigned To => nmains


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker